<?
/**
 * VoiceOne Webservices Registrations
 *  
 * @package voiceone_webservices
 * @subpackage Sounds
 */
$server->register(
    'soundsInit',
    array('reload'=>'xsd:int'),
    array('return'=>'xsd:int'),
    $NAMESPACE);
$server->register(
    'getSound',
    array('id'=>'xsd:int'),
    array('return'=>'tns:soundArray'),
    $NAMESPACE);
$server->register(
    'getSoundDesc',
    array('filename'=>'xsd:string','cat_id'=>'xsd:int','language'=>'xsd:string'),
    array('return'=>'tns:soundsFileArray'),
    $NAMESPACE);
$server->register(
    'getCatidByTagname',
    array('tagname'=>'xsd:string'),
    array('return'=>'xsd:int'),
    $NAMESPACE);
$server->register(
    'getLanguages',
    array(),
    array('return'=>'tns:stringArray'),
    $NAMESPACE);
$server->register(
    'getCategories',
    array(),
    array('return'=>'tns:soundsCategoriesArray'),
    $NAMESPACE);
$server->register(
    'putTempSound',
    array('filename'=>'xsd:string'),
    array('return'=>'xsd:int'),
    $NAMESPACE);
$server->register(
    'deleteTempSound',
    array('filename'=>'xsd:string'),
    array('return'=>'xsd:int'),
    $NAMESPACE);
$server->register(
    'modifySound',
    array('filename'=>'xsd:string','cat_id'=>'xsd:int','language'=>'xsd:string','newcontent'=>'xsd:string','modtext'=>'xsd:int','newtext'=>'xsd:string'),
    array('return'=>'xsd:int'),
    $NAMESPACE);
$server->register(
    'createEmptyFile',
    array('filename'=>'xsd:string','cat_id'=>'xsd:int','language'=>'xsd:string'),
    array('return'=>'xsd:int'),
    $NAMESPACE);
$server->register(
    'deleteFile',
    array('filename'=>'xsd:string','cat_id'=>'xsd:int','language'=>'xsd:string'),
    array('return'=>'xsd:int'),
    $NAMESPACE);
$server->register(
    'mvSoundsFileToSandbox',
    array('cat_id'=>'xsd:int','filename'=>'xsd:string','language'=>'xsd:string'),
    array('return'=>'xsd:int'),
    $NAMESPACE);
$server->register(
    'recordNewMessage',
    array('clientId'=>'xsd:int','filename'=>'xsd:string'),
    array('return'=>'xsd:int'),
    $NAMESPACE);
$server->register(
    'deleteRecordedMessage',
    array('filename'=>'xsd:string'),
    array('return'=>'xsd:int'),
    $NAMESPACE);
$server->register(
    'uploadMessage',
    array('file_name'=>'xsd:string','file_content'=>'xsd:base64Binary'),
    array('return'=>'xsd:int'),
    $NAMESPACE);
?>